'use strict';

exports.__esModule = true;
exports.default = attacher;

var _highlight = require('highlight.js');

var _highlight2 = _interopRequireDefault(_highlight);

var _unistUtilVisit = require('unist-util-visit');

var _unistUtilVisit2 = _interopRequireDefault(_unistUtilVisit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function attacher() {
    function visitor(node) {
        if (!node.lang) {
            return;
        }

        var data = node.data;

        if (!data) {
            node.data = data = {};
        }

        data.htmlContent = _highlight2.default.highlightAuto(node.value, [node.lang]).value;
        data.htmlAttributes = data.htmlAttributes || {};
        data.htmlAttributes.class = ['hljs', data.htmlAttributes.class].filter(Boolean).join(' ');
    }

    return function (ast) {
        return (0, _unistUtilVisit2.default)(ast, 'code', visitor);
    };
}
module.exports = exports['default'];